Name:           gnomebaker
Version:        0.6.4
Release:        2%{?dist}
Summary:        GNOME CD/DVD burner

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://sourceforge.net/projects/gnomebaker
Source0:        http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libgnomeui-devel >= 2.10.0
BuildRequires:	gstreamer-devel >= 0.10
BuildRequires:	gettext
BuildRequires:	perl(XML::Parser)
BuildRequires:	scrollkeeper
BuildRequires:	desktop-file-utils
BuildRequires:	intltool

Requires:	dvd+rw-tools
Requires:	wodim => 1.1.6
Requires:	genisoimage => 1.1.6
Requires:	icedax => 1.1.6
Requires:	gstreamer-plugins-base >= 0.10
Requires:	gstreamer-plugins-good >= 0.10

Requires(post): scrollkeeper
Requires(postun): scrollkeeper


%description
CD/DVD burner designed for the GNOME desktop.


%prep
%setup -q
chmod 644 AUTHORS TODO


%build
export LDFLAGS="-export-dynamic"
%configure --enable-libnotify=no
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

# Remove duplicate docs.
rm -rf $RPM_BUILD_ROOT/usr/doc/%{name}/

desktop-file-install --vendor fedora --delete-original	\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications   	\
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%postun
scrollkeeper-update -q || :
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING TODO
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/48x48/apps/%{name}-48.png
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/omf/%{name}/
%{_datadir}/gnome/help/%{name}/


%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jul 22 2008 Tomas Smetana <tsmetana@redhat.com> - 0.6.4-1
- new upstream version

* Tue Feb 12 2008 Tomas Smetana <tsmetana@redhat.com> - 0.6.2-2.1
- rebuild (gcc-4.3)
- fix #365241 gnomebaker homepage has moved

* Wed Sep 19 2007 Tomas Smetana <tsmetana@redhat.com> - 0.6.2-2
- fix wrong genisoimage call when using cdrkit backend

* Mon Sep 17 2007 Tomas Smetana <tsmetana@redhat.com> - 0.6.2-1
- new upstream version

* Fri Aug 31 2007 Tomas Smetana <tsmetana@redhat.com> - 0.6.1-4
- fix blanking CDRWs

* Thu Aug 30 2007 Tomas Smetana <tsmetana@redhat.com> - 0.6.1-3
- fix problems with wodim and old scsi b,t,l syntax
- fix uninitialised g_threads warning on startup
- cdrecord -> wodim, cdda2wav -> icedax, mkisofs -> genisoimage

* Tue Aug 28 2007 Tomas Smetana <tsmetana@redhat.com> - 0.6.1-2
- rebuild with -export-dynamic

* Mon Aug 27 2007 Tomas Smetana <tsmetana@redhat.com> - 0.6.1-1
- new upstream version

* Sun Jun 10 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.6.0-4
- Drop requires on yelp. (#243391)

* Sat Jun  9 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.6.0-3
- Add requires on yelp. (#243391)

* Tue Dec  5 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.6.0-2
- Add patch to fix device selection with multiple devices present.
- Drop X-Fedora category from desktop file.

* Sat Sep 16 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.6.0-1
- Update to 0.6.0.
- Drop BR on libglade2-devel.
- Add gtk+ icon cache scriptlets.
- Use gstreamer-0.10 now.

* Tue Sep  5 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.5.1-5
- Rebuild for FC6.
- Add BR on perl(XML::Parser).

* Tue Mar  7 2006 Brian Pepple <bdpepple@ameritech.net> - 0.5.1-4
- Rebuild for FC5.
- Add requires for gstreamer08-plugins.

* Sat Feb 11 2006 Brian Pepple <bdpepple@ameritech.net> - 0.5.1-3
- Rebuild.

* Mon Feb  6 2006 Brian Pepple <bdpepple@ameritech.net> - 0.5.1-2
- Bump release.

* Sat Feb  4 2006 Brian Pepple <bdpepple@ameritech.net> - 0.5.1-1
- Drop aclocal & autoconf calls.
- Change gstreamer-devel to gstreamer08-devel for FC5.
- Add dist tag.
- Correct permissions on AUTHORS & TODO.
- Drop help & desktop patchs.
- Update 0.5.1.

* Wed Oct 19 2005 Brian Pepple <bdpepple@ameritech.net> - 0.5.0-3
- Edit configure.in to use RPM_OPT_FLAGS. (Thanks to Adrian Reber)

* Mon Oct 17 2005 Brian Pepple <bdpepple@ameritech.net> - 0.5.0-2
- Rebuild config. & make files w/ aclocal & autconf, so builds on FC5.

* Sun Oct 16 2005 Brian Pepple <bdpepple@ameritech.net> - 0.5.0-1
- Initial Fedora Extras spec file.

